Page MenuHomePhabricator

Bump QuickSurveys version to 1.3.0 and remove HISTORY file
Closed, ResolvedPublic2 Story Points

Description

QuickSurveys extension has a HISTORY file. No one touched that in the last 3 years, but there are many big changes like:

  • T208605 - Remove usage of templates in QuickSurveys: Muhogan approach in RelatedArticles and QuickSurveys is error prone
  • T213847 - Surveys can be targeted at specific countries
  • T139317 - Allow surveys to define an audience of editor buckets
  • T186737 - Surveys can be targetted at anons/logged in users
  • T218304 - Allow quicksurveys to target based on registration date

Those changes look like a major feature, the QuickSurveys version should reflect that.
Also, decide what to do with the HISTORY file - looks like this file is not maintained (no changes in the last three years).
If we decide to keep it, it should contain all major changes (like adding Audience support and removing muhogan).

Acceptance criteria

Event Timeline

pmiazga created this task.Mar 19 2019, 4:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2019, 4:28 PM
Jdlrobson renamed this task from Bump QuickSurveys version to 1.3.0 and decide what to do with HISTORY file to Bump QuickSurveys version to 1.3.0 and remove HISTORY file.Mar 20 2019, 6:16 PM
Jdlrobson triaged this task as Normal priority.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Needs Analysis to Triaged but Future on the Readers-Web-Backlog board.
pmiazga updated the task description. (Show Details)Apr 2 2019, 4:44 PM
Jdlrobson set the point value for this task to 2.Apr 2 2019, 4:47 PM

Looks like @bmansurov did most of this. Just need to delete HISTORY file..

Change 520060 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/QuickSurveys@master] Remove HISTORY file

https://gerrit.wikimedia.org/r/520060

Change 520060 merged by jenkins-bot:
[mediawiki/extensions/QuickSurveys@master] Remove HISTORY file

https://gerrit.wikimedia.org/r/520060

I'll sign off this task

pmiazga claimed this task.Wed, Jul 3, 3:16 PM
pmiazga closed this task as Resolved.Wed, Jul 3, 3:20 PM
pmiazga removed a project: Patch-For-Review.